package body MSHTML.DispHTMLNavigator_Object is

   function Get_appCodeName
     (This : DispHTMLNavigator_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispHTMLNavigator_Get_appCodeName);
   end Get_appCodeName;

   function Get_appName
     (This : DispHTMLNavigator_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispHTMLNavigator_Get_appName);
   end Get_appName;

   function Get_appVersion
     (This : DispHTMLNavigator_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispHTMLNavigator_Get_appVersion);
   end Get_appVersion;

   function Get_userAgent
     (This : DispHTMLNavigator_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispHTMLNavigator_Get_userAgent);
   end Get_userAgent;

   function javaEnabled
     (This : DispHTMLNavigator_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Invoke (This, DispHTMLNavigator_javaEnabled);
   end javaEnabled;

   function taintEnabled
     (This : DispHTMLNavigator_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Invoke (This, DispHTMLNavigator_taintEnabled);
   end taintEnabled;

   function Get_mimeTypes
     (This : DispHTMLNavigator_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispHTMLNavigator_Get_mimeTypes);
   end Get_mimeTypes;

   function Get_plugins
     (This : DispHTMLNavigator_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispHTMLNavigator_Get_plugins);
   end Get_plugins;

   function Get_cookieEnabled
     (This : DispHTMLNavigator_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispHTMLNavigator_Get_cookieEnabled);
   end Get_cookieEnabled;

   function Get_opsProfile
     (This : DispHTMLNavigator_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispHTMLNavigator_Get_opsProfile);
   end Get_opsProfile;

   function toString
     (This : DispHTMLNavigator_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Invoke (This, DispHTMLNavigator_toString);
   end toString;

   function Get_cpuClass
     (This : DispHTMLNavigator_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispHTMLNavigator_Get_cpuClass);
   end Get_cpuClass;

   function Get_systemLanguage
     (This : DispHTMLNavigator_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispHTMLNavigator_Get_systemLanguage);
   end Get_systemLanguage;

   function Get_browserLanguage
     (This : DispHTMLNavigator_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispHTMLNavigator_Get_browserLanguage);
   end Get_browserLanguage;

   function Get_userLanguage
     (This : DispHTMLNavigator_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispHTMLNavigator_Get_userLanguage);
   end Get_userLanguage;

   function Get_platform
     (This : DispHTMLNavigator_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispHTMLNavigator_Get_platform);
   end Get_platform;

   function Get_appMinorVersion
     (This : DispHTMLNavigator_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispHTMLNavigator_Get_appMinorVersion);
   end Get_appMinorVersion;

   function Get_connectionSpeed
     (This : DispHTMLNavigator_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispHTMLNavigator_Get_connectionSpeed);
   end Get_connectionSpeed;

   function Get_onLine
     (This : DispHTMLNavigator_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispHTMLNavigator_Get_onLine);
   end Get_onLine;

   function Get_userProfile
     (This : DispHTMLNavigator_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispHTMLNavigator_Get_userProfile);
   end Get_userProfile;

   function Get_geolocation
     (This : DispHTMLNavigator_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispHTMLNavigator_Get_geolocation);
   end Get_geolocation;

   function Get_msDoNotTrack
     (This : DispHTMLNavigator_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispHTMLNavigator_Get_msDoNotTrack);
   end Get_msDoNotTrack;

   function Get_constructor
     (This : DispHTMLNavigator_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispHTMLNavigator_Get_constructor);
   end Get_constructor;

end MSHTML.DispHTMLNavigator_Object;

